SND_PCM_SET_RUNTIME_(9)

NAME
snd_pcm_set_runtime_buffer - Set the PCM runtime buffer

SYNOPSIS

void snd_pcm_set_runtime_buffer(struct snd_pcm_substream * substream, struct snd_dma_buffer * bufp);

ARGUMENTS

substream
    PCM substream to set

bufp
    the buffer information, NULL to clear

DESCRIPTION

Copy the buffer information to runtime->dma_buffer when bufp is non-NULL. Otherwise it clears the current buffer information.

COPYRIGHT